Subject: [mobile-ip] issue status for mipv6

From: Jari Arkko <[email-masked]>
Date: Tue, 29 Apr 2003 17:27:55 +0300

Hi,

I just wanted to let you know that I've updated the issues status
at the web (http://www.piuha.net/~jarkko/publications/mipv6/MIPv6-Issues.html)

Overall the status is that I think we have closed all the issues except
three which have come out of IESG review and haven't been addressed yet:

#297: Movement detection
   See list discussion.

#282: IKE keyword
   We are working on correcting the replay/reorder protection
   text as well as preparing a "tradeoff" section for IKE vs.
   no IKE. Discussion also going on in the SAAG list about
   draft-bellovin-mandate-keymgmt-00.txt. See also
   http://www.piuha.net/~jarkko/publications/ipsec/mandate_keymgmt_review.txt

#294, #292: Steven Bellovin/Steve Kent reviews
   A number of concerns have been raised, some of which have
   been addressed by better explanations in latest version
   of ha-ipsec. Raised also the concern of the SPD checks
   that use home addresses being incompatible with IPsec
   SPD architecture. Hopefully we have convinced them
   that this is just a processing order issue and not
   a change to IPsec SPDs... Steve K appeared to be
   OK but we haven't heard back from Steven B.

   I think #292 is closed, but there were unclear issues
   and Steve K didn't respond to the last e-mail, so ...

Other issues, hopefully closed but could be useful for
the WG to check the resolutions:

#299: Combine multicast router discovery and mipv6 ND options (Haberman/IESG)
   Question was whether to combine multicast router discovery option for
   MLD query interval, and the AI option in MIPv6. Looks like they are too
   different IMHO. Recommendation to not do it, unless IESG has thought
   of things we didn't think of in the quick analysis.

#298: Security - other issues beyond IKE keyword (Bellovin)
   I think this one is closed, but no feedback from Bellovin.
   Could be useful if WG checks the modifications for this.

#296: Russ Housley's comments on ha-ipsec (IESG)
   Taken care of.

#295: Randy asks about doc length, discovery, virtual home nets (IESG)
   Taken care of through other issues, Randy does not want to split the
   document now ;-)

#279: NS source from HA during de-registration (Connecthathon)
#278: Movement detection and same link-local addresses on different routers (Cthon)
#277: Should CN respond to BUs with H=1? (Cthon)
   Closed, I think, but not many people said OK yet...

--Jari